net.sf.saxon.style

## Class StylesheetModule

- java.lang.Object
- - net.sf.saxon.style.StylesheetModule

- Direct Known Subclasses:
    PrincipalStylesheetModule

      public class StylesheetModule
      extends Object

  A stylesheet module represents a module of a stylesheet. It is possible for two modules to share the same stylesheet tree in the case where two includes or imports reference the same URI; in this case the two modules will typically have a different import precedence.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected List<Declaration>` | `topLevel`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `StylesheetModule(XSLStylesheet sourceElement, int precedence)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `StylesheetModule` | `getImporter()`
    `int` | `getInputTypeAnnotations()` Get the value of the input-type-annotations attribute, for this module combined with that of all included/imported modules.
    `int` | `getMinImportPrecedence()` Get the minimum import precedence of this module, that is, the lowest import precedence of the modules that it imports.
    `int` | `getPrecedence()`
    `PrincipalStylesheetModule` | `getPrincipalStylesheetModule()`
    `XSLStylesheet` | `getSourceElement()`
    `void` | `setImporter(StylesheetModule importer)`
    `void` | `setInputTypeAnnotations(int annotations)` Set the value of the input-type-annotations attribute, for this module combined with that of all included/imported modules.
    `void` | `setMinImportPrecedence(int min)` Set the minimum import precedence of this module, that is, the lowest import precedence of the modules that it imports.
    `void` | `setWasIncluded()` Indicate that this stylesheet was included (by its "importer") using an xsl:include statement as distinct from xsl:import
    `void` | `spliceIncludes()` Process xsl:include and xsl:import elements.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### topLevel

          protected List<Declaration> topLevel

  - ### Constructor Detail

    - #### StylesheetModule

          public StylesheetModule(XSLStylesheet sourceElement,
                          int precedence)

  - ### Method Detail

    - #### setImporter

          public void setImporter(StylesheetModule importer)

    - #### getImporter

          public StylesheetModule getImporter()

    - #### getPrincipalStylesheetModule

          public PrincipalStylesheetModule getPrincipalStylesheetModule()

    - #### getSourceElement

          public XSLStylesheet getSourceElement()

    - #### getPrecedence

          public int getPrecedence()

    - #### setWasIncluded

          public void setWasIncluded()

      Indicate that this stylesheet was included (by its "importer") using an xsl:include statement as distinct from xsl:import

    - #### setMinImportPrecedence

          public void setMinImportPrecedence(int min)

      Set the minimum import precedence of this module, that is, the lowest import precedence of the modules that it imports. This information is used to decide which template rules are eligible for consideration by xsl:apply-imports
      Parameters:
        `min` - the minimum import precedence

    - #### getMinImportPrecedence

          public int getMinImportPrecedence()

      Get the minimum import precedence of this module, that is, the lowest import precedence of the modules that it imports. This information is used to decide which template rules are eligible for consideration by xsl:apply-imports
      Returns:
        the minimum import precedence

    - #### spliceIncludes

          public void spliceIncludes()
                              throws XPathException

      Process xsl:include and xsl:import elements.
      Throws:
        `XPathException`

    - #### getInputTypeAnnotations

          public int getInputTypeAnnotations()

      Get the value of the input-type-annotations attribute, for this module combined with that of all included/imported modules. The value is an or-ed combination of the two bits `XSLStylesheet.ANNOTATION_STRIP` and `XSLStylesheet.ANNOTATION_PRESERVE`
      Returns:
        the value of the input-type-annotations attribute, for this module combined with that of all included/imported modules

    - #### setInputTypeAnnotations

          public void setInputTypeAnnotations(int annotations)
                                       throws XPathException

      Set the value of the input-type-annotations attribute, for this module combined with that of all included/imported modules. The value is an or-ed combination of the two bits `XSLStylesheet.ANNOTATION_STRIP` and `XSLStylesheet.ANNOTATION_PRESERVE`
      Parameters:
        `annotations` - the value of the input-type-annotations attribute, for this module combined with that of all included/imported modules.
      Throws:
        `XPathException`

Copyright (c) 2004-2013 Saxonica Limited. All rights reserved.